[#time_generator]
== <boost/uuid/time_generator.hpp>

:idprefix: time_generator_

=== Synopsis

[source,c++]
----
#include <boost/uuid/time_generator_v1.hpp>
#include <boost/uuid/time_generator_v6.hpp>
#include <boost/uuid/time_generator_v7.hpp>
----

This convenience header makes the three time-based generators `time_generator_v1`, `time_generator_v6`, and `time_generator_v7`, available.
